Bug 184641 - No Display On External Monitor: Dell Inspiron 600m
No Display On External Monitor: Dell Inspiron 600m
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-10 02:22 EST by Ben Maurer
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 08:44:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (3.38 KB, text/plain)
2006-03-10 02:22 EST, Ben Maurer
no flags Details
/var/log/Xorg.0.log (38.40 KB, text/plain)
2006-03-10 20:38 EST, Ben Maurer
no flags Details

  None (edit)
Description Ben Maurer 2006-03-10 02:22:42 EST
I insalled the latest development version of fc5 on a dell inspiron. When
hooking up an external monitor (a dell flat panel, 19"), there was no display.
There is clearly a connection at the cable level becasue the flat panel stops
displaying the dell logo. The monitor goes into power save mode (power button
goes orange).

I believe this is a critical bug. It prevents users of this laptop model from
doing essential tasks such as making presentations.
Comment 1 Ben Maurer 2006-03-10 02:22:43 EST
Created attachment 125932 [details]
xorg.conf
Comment 2 Mike A. Harris 2006-03-10 19:56:39 EST
Attach your X server log file from the configuration in which this occurs,
as an uncompressed bugzilla file attachment using the link below.
Comment 3 Ben Maurer 2006-03-10 20:38:52 EST
Created attachment 125973 [details]
/var/log/Xorg.0.log

This is a log from a run where I could not use the external monitor. I've
actually found that the following xorg.conf will fix much of the issue:

Section "Device"
       Identifier  "Videocard0"
       Driver	   "radeon"
       VendorName  "Videocard vendor"
       BoardName   "ATI Technologies Inc Radeon R250 Lf [FireGL 9000]"
       Option	   "DynamicClocks" "on"
       Option	   "MergedFB" "on"
       Option	   "MonitorLayout" "LVDS, CRT"
       Option	   "CRT2Hsync" "50-75"
       Option	   "CRT2VRefresh" "50-82"
EndSection

One issue with this is video playback: when I play a video, it will only go to
one of the screens. I can toggle which with:

xvattr -a XV_SWITCHCRT -v 1|0

However, it has worked such that I was able to have the video playback on both
before. (on an unbuntu install, which sadly I didn't save the conf from)
Comment 4 Ben Maurer 2006-03-10 20:44:07 EST
It doesn't look like I can remove the NEEDINFO flag from this bug. I'm not sure
if this is normal. If somebody who sees this can, I'd appreciate them removing
the flag, so it gets back on bug lists.
Comment 5 Ben Maurer 2006-03-11 12:55:20 EST
BTW, I'm not sure if this should be a new bug or if the general bad detection of
my laptop's video is the same thing: when I installed, the internal lcd in my
laptop was not recognized, so it called it a "generic monitor". The maximum
resolution thta was supported was 800x600. I had to change this manually.
Comment 6 Mike A. Harris 2006-06-14 13:22:16 EDT
(In reply to comment #3)
> > Created an attachment (id=125973)
 --> (https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=125973&action=view)
[edit]
> > /var/log/Xorg.0.log
> > 
> > This is a log from a run where I could not use the external monitor. I've
> > actually found that the following xorg.conf will fix much of the issue:
> > 
> > Section "Device"
> >        Identifier  "Videocard0"
> >        Driver	   "radeon"
> >        VendorName  "Videocard vendor"
> >        BoardName   "ATI Technologies Inc Radeon R250 Lf [FireGL 9000]"
> >        Option	   "DynamicClocks" "on"
> >        Option	   "MergedFB" "on"
> >        Option	   "MonitorLayout" "LVDS, CRT"
> >        Option	   "CRT2Hsync" "50-75"
> >        Option	   "CRT2VRefresh" "50-82"
> > EndSection
> > 
> > One issue with this is video playback: when I play a video, it will only go to
> > one of the screens. I can toggle which with:
> > 
> > xvattr -a XV_SWITCHCRT -v 1|0
> > 
> > However, it has worked such that I was able to have the video playback on both
> > before. (on an unbuntu install, which sadly I didn't save the conf from)
> > 

If the driver works properly with the above configuration, then this
is less of a bug, and more of a request for better driver autodetection.
You should file a bug report in X.Org bugzilla for this, indicating your
setup, and the settings you required in order to get your desired
configuration to work as expected.  If it is possible for the radeon
driver developers to implement that functionality in the driver, they
may do so in a future release, at which point it will be available
in a future Fedora Core release.

You can file your request at http://bugs.freedesktop.org in the "xorg"
component against Driver/ati.  Once you've filed your report, if you
paste the URL here, we will track the progress of the upstream ATI
driver developers, and when a driver is available with the functionality
you desire, we'll review it for consideration in a future update.

Thanks in advance.

Setting status to NEEDINFO and awaiting upstream bug report URL.
Comment 7 Matthew Miller 2007-04-06 13:06:59 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 8 Matěj Cepl 2007-06-21 08:44:25 EDT
Closing as INSUFFICIENT_DATA since there was no activity on this bug for a long
time. If you have anything to add to this bug, please, reopen with additional
information.

Note You need to log in before you can comment on or make changes to this bug.